<template>
  <div>
    <div class="row mt-4 text-center">
      <div class="col mx-auto">
        <b-button @click="overview" variant="outline-secondary">
          <div style="font-size: 14px"><b>Aperçu</b></div>
        </b-button>
      </div>
      <div class="col mx-auto">
        <b-button @click="profile" variant="outline-secondary">
          <div style="font-size: 14px"><b>Profil</b></div>
        </b-button>
      </div>
      <div class="col mx-auto">
        <b-button @click="editProfile" variant="outline-secondary">
          <div style="font-size: 14px"><b>Modification du Profil</b></div>
        </b-button>
      </div>
      <div class="col mx-auto">
        <b-button @click="deliveries" variant="outline-secondary">
          <div style="font-size: 14px"><b>Livraisons</b></div>
        </b-button>
      </div>
    </div>
    <hr class="mx-4 my-4" />
    <component v-bind:is="componentName"></component>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import router from '@/router';
import DeliveriesComponent from '@/components/HomeComponents/DeliveriesComponent.vue'; 
import EditProfileComponent from '@/components/HomeComponents/EditProfileComponent.vue'; 
import OverviewComponent from '@/components/HomeComponents/OverviewComponent.vue'; 
import ProfileComponent from '@/components/HomeComponents/ProfileComponent.vue'; 


export default Vue.extend({
  name: 'HomeView',
  components: {
    DeliveriesComponent,
    EditProfileComponent,
    OverviewComponent,
    ProfileComponent
  },

  data() {
    return {
      form: {
        search: '',
      },
      isConnected: false,
      user: {},
      componentName: "OverviewComponent"
    }
  },

  methods: {
    overview() {
      this.componentName = "OverviewComponent";
    },
    profile() {
      this.componentName = "ProfileComponent";
    },
    editProfile() {
      this.componentName = "EditProfileComponent";
    },
    deliveries() {
      this.componentName = "DeliveriesComponent";
    },
  },

  created(){
     if (localStorage.user) {
      var user = JSON.parse(localStorage.user)
    }
  },

  mounted() {
    if (localStorage.isConnected) {
      this.isConnected = localStorage.isConnected;
    }else{
        router.push('/login')
    }
    if (localStorage.user) {
      this.user = JSON.parse(localStorage.user);
    }  
  },
});

</script>


<style>

.home{
  background-color: #fdfdfd;
}


</style>

